<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
  <xsl:output method="xml"/>

	<xsl:param name="filter"/>


  <xsl:template match="/resultset">
  <div>
  	<script language="javascript" type="text/javascript">
  	function submitFilter()
  	{
  		document.getElementById("filterform").submit();
  	}
  	</script>
    <div>
    <h3>Packages</h3>
    </div>
    <p>
    	<table class="template-info-widget" style="margin-bottom: 5px;">
    	<tr>
    	<td>
    	<form id="filterform" action="" method="POST">
    		<table>
    		<tr>
	    	<td>
	    		Show:
	    		<input type="checkbox" name="showInstalled" value="true" onclick="submitFilter()">
	    			<xsl:if test="$filter/filter/showInstalled='true'"><xsl:attribute name="checked"></xsl:attribute></xsl:if>
	    		</input> Installed,
	    		 <input type="checkbox" name="showNotInstalled" value="true" onclick="submitFilter()">
	    			<xsl:if test="$filter/filter/showNotInstalled='true'"><xsl:attribute name="checked"></xsl:attribute></xsl:if>
	    		</input> Not Installed,
	    		<input type="checkbox" name="showUpdates" value="true" onclick="submitFilter()">
	    			<xsl:if test="$filter/filter/showUpdates='true'"><xsl:attribute name="checked"></xsl:attribute></xsl:if>
	    		</input> Updates,
	    		<input type="checkbox" name="showSecurity" value="true" onclick="submitFilter()">
	    			<xsl:if test="$filter/filter/showSecurity='true'"><xsl:attribute name="checked"></xsl:attribute></xsl:if>
	    		</input> Security Updates
	    	</td> 
	    	</tr>
	    	<tr>
	    	<td>
    		Name Matches: <input type="text" name="match" >
    			<xsl:if test="not($filter/filter/match='no-match')">
    				<xsl:attribute name="value"><xsl:value-of select="$filter/filter/match"/></xsl:attribute>
    			</xsl:if>
    		</input>
    		<input type="submit" value="Filter"/><input type="submit" value="Reset" name="filter-reset"/>
    		</td>
    		</tr>
    		</table>
    	</form>
    	</td>
    	</tr>
    	<tr>
    	<td colspan="3">
    	<span>
    	<form action="" method="POST">
    		<input type="hidden" name="filter-reset" value=""/>
    		
    		<input type="button" value="Package Upload" onclick="reveal('uploadform')"/>
    		<input type="button" value="History" onclick="reveal('history')"/>
    	</form>
    	
    	</span>
    	</td>
    	</tr>
    	</table>
    </p>
    <xsl:if test="row/HASUPDATE='true' or row/HASSECURITY='true'">
    	<div class="update template-info-widget" style="margin-top: 5px; margin-bottom: 5px;">
    		<table>
    			<tr>
    				<td width="100%">Updates / Security Updates are available.</td>
    				<td>
    					   <button>
    					   	<xsl:attribute name="onclick">parent.location='update?ids=<xsl:for-each select="row[HASUPDATE='true' or HASSECURITY='true']"><xsl:value-of select="VERSIONID"/>,</xsl:for-each>'</xsl:attribute>
    					   Select All Updates
    					   </button>
    				</td>
    			</tr>
    		</table>
    	</div>
    </xsl:if>
    
    
    <form action="install" method="post">
    <table cellpadding="2" cellspacing="0">
    	<tr class="vis-title">
    	<td>
    	</td>
    	<td>
    	</td>
    	<td>
    		Installed
    	</td>
    	<td/>
    	<td>
    		Name
    	</td>
    	<td>
    		Runlevel
    	</td>
    	<td>
    		Version
    	</td>
    	</tr>
    	<xsl:apply-templates/>
    </table>
    </form>
    </div>
  </xsl:template>
  
  <xsl:template match="row">
  	<tr>
  		<xsl:choose>
  			<xsl:when test="HASUPDATE='true' ">
  				<xsl:attribute name="class">update</xsl:attribute>
  			</xsl:when>
  			<xsl:when test="HASSECURITY='true' ">
  				<xsl:attribute name="class">security</xsl:attribute>
  			</xsl:when>
  			<xsl:when test="position() mod 2 = 0">
  				<xsl:attribute name="class">evenrow</xsl:attribute>
  			</xsl:when>
  			<xsl:otherwise>
  				<xsl:attribute name="class">oddrow</xsl:attribute>
  			</xsl:otherwise>
  		</xsl:choose>
  		<td>
  			<input type="button" value="details" onclick="document.location='package/{ID}'" class="plain-btn"/>
  		</td>
  		<td>
  			<xsl:if test="RUNLEVEL&lt;=1">
  				<img src="/nkse/style/img/favicon.png"/>
  			</xsl:if>
  		</td>
  		
  		<td align="center">
  			<input type="checkbox" value="{ID}" disabled="">
  			<xsl:if test="INSTALLED='true'">
  				<xsl:attribute name="checked"></xsl:attribute>
  			</xsl:if>
  			</input>
  		</td>
  		<td>
  			<xsl:choose>
  				<xsl:when test="INSTALLED='true' and RUNLEVEL&gt;2">
  					<input type="button" value="remove" onclick="document.location='remove?id={VERSIONID}'" class="plain-btn"/>
  				</xsl:when>
  				<xsl:when test="INSTALLED='false' and RUNLEVEL&gt;2">
  					<input type="button" value="install" onclick="document.location='install?id={VERSIONID}'" class="plain-btn"/>
  				</xsl:when>
  			</xsl:choose>
  		</td>
  		<td>
  			<xsl:value-of select="NAME"/>
  		</td>
  		<td align="center">
  			<xsl:value-of select="RUNLEVEL"/>
  		</td>
  		<td align="center">
  			<xsl:value-of select="VP"/>
  		</td>
  		<td align="center">
  			<xsl:if test="HASUPDATE='true' or HASSECURITY='true'">
  				<input type="button" value="update" onclick="document.location='update?id={VERSIONID}'" class="plain-btn"/>
  			</xsl:if>
  		</td>
  	</tr>
  </xsl:template>

</xsl:stylesheet> 
