<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
  <xsl:output method="xml"/>

	<xsl:param name="license"/>
	<xsl:param name="maintainer"/>

  <xsl:template match="/resultset">
  <div style="padding-top: 5px;">
  	<table>
    <tr>
    <td valign="top">
    <table width="250px"  class="template-info-widget Palette0" cellspacing="0" cellpadding="2"> 
    	<tr>
    	<td valign="top" style="font-size: 75%; font-style: italic;">Name:</td><td style="font-weight: bold;"><xsl:value-of select="row[1]/NAME"/></td>
    	</tr>
    	<tr>
    	<td valign="top" style="font-size: 75%; font-style: italic;">Homepage:</td><td><a href="{row[1]/WWW}"><xsl:value-of select="row[1]/WWW"/></a></td>
    	</tr>
    	<tr>
    	<td valign="top" style="font-size: 75%; font-style: italic;">Maintainer:</td><td valign="top"><xsl:copy-of select="$maintainer"/></td>
    	</tr>
    	<tr>
    	<td valign="top" style="font-size: 75%; font-style: italic;">License:</td><td valign="top"><xsl:copy-of select="$license"/></td>
    	</tr>
    	<tr>
    	<td valign="top" style="font-size: 75%; font-style: italic;">Repository:</td><td><xsl:value-of select="row[1]/REPONAME"/></td>
    	</tr>
    	<tr>
    	<td valign="top" style="font-size: 75%; font-style: italic;">Path:</td><td><xsl:value-of select="row[1]/DISTPATH"/></td>
    	</tr>
    	<tr>
    	<td valign="top" style="font-size: 75%; font-style: italic;">Set:</td><td><xsl:value-of select="row[1]/SETNAME"/></td>
    	</tr>
    </table>
    <div class="template-info-widget" style="padding-top: 10px; margin-top: 10px; padding-bottom: 10px;">
    <table width="250px" cellpadding="2" cellspacing="0">
    	<tr class="vis-title">
    		<td/>
    			<td style="font-size: 75%;">
    			Version
    			</td>
    			<td style="font-size: 75%;">
    			Installed
    			</td>
    			<td/>
    			<td style="font-size: 75%;">
    			Size (kB)
    			</td>
    			<td colspan="3"/>
    	</tr>
    	<xsl:apply-templates/>
    </table>
    </div>
    </td>
    <td valign="top">
    	<div style="padding-left: 10px;" class="book-text">
    	<xrl:include>
			<xrl:identifier>meta:apposite:package:decr</xrl:identifier>
			<xrl:argument name="id">arg:id</xrl:argument>
		</xrl:include>
	    </div>
    </td>
    </tr>
    </table>
	</div>
  </xsl:template>
  
  <xsl:template match="row">
  	<tr>
  		<xsl:choose>
  			<xsl:when test="position() mod 2 = 0">
  				<xsl:attribute name="class">evenrow</xsl:attribute>
  			</xsl:when>
  			<xsl:otherwise>
  				<xsl:attribute name="class">oddrow</xsl:attribute>
  			</xsl:otherwise>
  		</xsl:choose>
  		<td>
  			<xsl:if test="RUNLEVEL&lt;=1">
  				<img src="/nkse/style/img/favicon.png"/>
  			</xsl:if>
  		</td>
  		<td align="center">
  			<xsl:value-of select="VP"/>
  		</td>
  		<td align="center">
  			<input type="checkbox" disabled="">
  			<xsl:if test="INSTALLED='true'">
  				<xsl:attribute name="checked"></xsl:attribute>
  			</xsl:if>
  			</input>
  		</td>
  		<td>
  			<xsl:choose>
  				<xsl:when test="INSTALLED='true' and RUNLEVEL&gt;2">
  					<input type="button" value="remove" onclick="document.location='../remove?id={ID[2]}'" class="plain-btn"/>
  				</xsl:when>
  				<xsl:when test="INSTALLED='false' and RUNLEVEL&gt;2">
  					<input type="button" value="install" onclick="document.location='../install?id={ID[2]}'" class="plain-btn"/>
  				</xsl:when>
  			</xsl:choose>
  		</td>
  		<td align="center">
  			<xsl:value-of select="SIZE"/>
  		</td>
  		<td align="center">
  			<xsl:if test="HASUPDATE='true' or HASSECURITY='true'">
  				<input type="button" value="update" onclick="document.location='../update?id={ID}'" class="plain-btn"/>
  			</xsl:if>
  		</td>
  		<td>
  			<input type="button" value="about" onclick="javascript:about({ID[2]})"/>
  		</td>
  	</tr>
  	<xsl:if test="INSTALLED='true'">
  	<tr>
  		<td colspan="10">
  		<xsl:choose>
  			<xsl:when test="position() mod 2 = 0">
  				<xsl:attribute name="class">evenrow</xsl:attribute>
  			</xsl:when>
  			<xsl:otherwise>
  				<xsl:attribute name="class">oddrow</xsl:attribute>
  			</xsl:otherwise>
  		</xsl:choose>
	  	<xrl:include>
	  		<xrl:identifier>meta:apposite:package:modules</xrl:identifier>
	  		<xrl:argument name="id"><xsl:value-of select="ID"/></xrl:argument>
	  	</xrl:include>
	  	</td>
	  </tr>
  	</xsl:if>
  </xsl:template>

</xsl:stylesheet> 
